### Method

# Gtk TreeViewColumn set_widget

#### Declaration [src]

    void
    gtk_tree_view_column_set_widget (
      GtkTreeViewColumn* tree_column,
      GtkWidget* widget
    )

#### Description [src]

Sets the widget in the header to be `widget`. If widget is `NULL`, then the header button is set with a `GtkLabel` set to the title of `tree_column`.

#### Parameters

`widget` | `GtkWidget`
| A child `GtkWidget`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.